Package org.zkoss.web.portlet

## Class ResourceHttpServletResponse

- java.lang.Object
- - org.zkoss.web.portlet.ResourceHttpServletResponse

- All Implemented Interfaces:
    `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

      public class ResourceHttpServletResponse
      extends java.lang.Object
      implements javax.servlet.http.HttpServletResponse

  A facade of ResourceResponse that implements HttpServletResponse.
  Since:
    6.5.2
  Author:
    Vincent

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletResponse

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCookie​(javax.servlet.http.Cookie cookie)` |
    `void` | `addDateHeader​(java.lang.String name, long date)` |
    `void` | `addHeader​(java.lang.String name, java.lang.String value)` |
    `void` | `addIntHeader​(java.lang.String name, int value)` |
    `boolean` | `containsHeader​(java.lang.String name)` |
    `java.lang.String` | `encodeRedirectUrl​(java.lang.String url)` | Deprecated.
    `java.lang.String` | `encodeRedirectURL​(java.lang.String url)` |
    `java.lang.String` | `encodeUrl​(java.lang.String url)` | Deprecated.
    `java.lang.String` | `encodeURL​(java.lang.String url)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `void` | `flushBuffer()` |
    `int` | `getBufferSize()` |
    `java.lang.String` | `getCharacterEncoding()` |
    `java.lang.String` | `getContentType()` |
    `java.lang.String` | `getHeader​(java.lang.String s)` |
    `java.util.Collection<java.lang.String>` | `getHeaderNames()` |
    `java.util.Collection<java.lang.String>` | `getHeaders​(java.lang.String s)` |
    `static javax.servlet.http.HttpServletResponse` | `getInstance​(javax.portlet.ResourceResponse res)` |
    `java.util.Locale` | `getLocale()` |
    `javax.servlet.ServletOutputStream` | `getOutputStream()` |
    `int` | `getStatus()` |
    `java.io.PrintWriter` | `getWriter()` |
    `int` | `hashCode()` |
    `boolean` | `isCommitted()` |
    `void` | `reset()` |
    `void` | `resetBuffer()` |
    `void` | `sendError​(int sc)` |
    `void` | `sendError​(int sc, java.lang.String msg)` |
    `void` | `sendRedirect​(java.lang.String location)` |
    `void` | `setBufferSize​(int size)` |
    `void` | `setCharacterEncoding​(java.lang.String charset)` |
    `void` | `setContentLength​(int len)` |
    `void` | `setContentLengthLong​(long l)` |
    `void` | `setContentType​(java.lang.String type)` |
    `void` | `setDateHeader​(java.lang.String name, long date)` |
    `void` | `setHeader​(java.lang.String name, java.lang.String value)` |
    `void` | `setIntHeader​(java.lang.String name, int value)` |
    `void` | `setLocale​(java.util.Locale loc)` |
    `void` | `setStatus​(int sc)` |
    `void` | `setStatus​(int sc, java.lang.String sm)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static javax.servlet.http.HttpServletResponse getInstance​(javax.portlet.ResourceResponse res)

    - #### flushBuffer

          public void flushBuffer()
                           throws java.io.IOException

      Specified by:
        `flushBuffer` in interface `javax.servlet.ServletResponse`
      Throws:
        `java.io.IOException`

    - #### getBufferSize

          public int getBufferSize()

      Specified by:
        `getBufferSize` in interface `javax.servlet.ServletResponse`

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

      Specified by:
        `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

    - #### getContentType

          public java.lang.String getContentType()

      Specified by:
        `getContentType` in interface `javax.servlet.ServletResponse`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `javax.servlet.ServletResponse`

    - #### getOutputStream

          public javax.servlet.ServletOutputStream getOutputStream()
                                                            throws java.io.IOException

      Specified by:
        `getOutputStream` in interface `javax.servlet.ServletResponse`
      Throws:
        `java.io.IOException`

    - #### getWriter

          public java.io.PrintWriter getWriter()
                                        throws java.io.IOException

      Specified by:
        `getWriter` in interface `javax.servlet.ServletResponse`
      Throws:
        `java.io.IOException`

    - #### isCommitted

          public boolean isCommitted()

      Specified by:
        `isCommitted` in interface `javax.servlet.ServletResponse`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `javax.servlet.ServletResponse`

    - #### resetBuffer

          public void resetBuffer()

      Specified by:
        `resetBuffer` in interface `javax.servlet.ServletResponse`

    - #### setBufferSize

          public void setBufferSize​(int size)

      Specified by:
        `setBufferSize` in interface `javax.servlet.ServletResponse`

    - #### setCharacterEncoding

          public void setCharacterEncoding​(java.lang.String charset)

      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

    - #### setContentLength

          public void setContentLength​(int len)

      Specified by:
        `setContentLength` in interface `javax.servlet.ServletResponse`

    - #### setContentType

          public void setContentType​(java.lang.String type)

      Specified by:
        `setContentType` in interface `javax.servlet.ServletResponse`

    - #### setLocale

          public void setLocale​(java.util.Locale loc)

      Specified by:
        `setLocale` in interface `javax.servlet.ServletResponse`

    - #### addCookie

          public void addCookie​(javax.servlet.http.Cookie cookie)

      Specified by:
        `addCookie` in interface `javax.servlet.http.HttpServletResponse`

    - #### addDateHeader

          public void addDateHeader​(java.lang.String name,
                                    long date)

      Specified by:
        `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### addHeader

          public void addHeader​(java.lang.String name,
                                java.lang.String value)

      Specified by:
        `addHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### addIntHeader

          public void addIntHeader​(java.lang.String name,
                                   int value)

      Specified by:
        `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### containsHeader

          public boolean containsHeader​(java.lang.String name)

      Specified by:
        `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### encodeRedirectUrl

          public java.lang.String encodeRedirectUrl​(java.lang.String url)

      Deprecated.
      Specified by:
        `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

    - #### encodeRedirectURL

          public java.lang.String encodeRedirectURL​(java.lang.String url)

      Specified by:
        `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

    - #### encodeUrl

          public java.lang.String encodeUrl​(java.lang.String url)

      Deprecated.
      Specified by:
        `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

    - #### encodeURL

          public java.lang.String encodeURL​(java.lang.String url)

      Specified by:
        `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

    - #### sendError

          public void sendError​(int sc)

      Specified by:
        `sendError` in interface `javax.servlet.http.HttpServletResponse`

    - #### sendError

          public void sendError​(int sc,
                                java.lang.String msg)

      Specified by:
        `sendError` in interface `javax.servlet.http.HttpServletResponse`

    - #### sendRedirect

          public void sendRedirect​(java.lang.String location)

      Specified by:
        `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`

    - #### setDateHeader

          public void setDateHeader​(java.lang.String name,
                                    long date)

      Specified by:
        `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### setHeader

          public void setHeader​(java.lang.String name,
                                java.lang.String value)

      Specified by:
        `setHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### setIntHeader

          public void setIntHeader​(java.lang.String name,
                                   int value)

      Specified by:
        `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### setStatus

          public void setStatus​(int sc)

      Specified by:
        `setStatus` in interface `javax.servlet.http.HttpServletResponse`

    - #### setStatus

          public void setStatus​(int sc,
                                java.lang.String sm)

      Deprecated.
      Specified by:
        `setStatus` in interface `javax.servlet.http.HttpServletResponse`

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `javax.servlet.http.HttpServletResponse`

    - #### getHeader

          public java.lang.String getHeader​(java.lang.String s)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletResponse`

    - #### getHeaders

          public java.util.Collection<java.lang.String> getHeaders​(java.lang.String s)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletResponse`

    - #### getHeaderNames

          public java.util.Collection<java.lang.String> getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletResponse`

    - #### setContentLengthLong

          public void setContentLengthLong​(long l)

      Specified by:
        `setContentLengthLong` in interface `javax.servlet.ServletResponse`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`